Summary: Babylon -- a high performance L2TP/PPPoE server

%define kernelver 2.6.18-53.1.13.el5bcrl1
%define rpmversion 2.0beta2
%define release 3

Name: babylon
Group: System Environment/Kernel
License: GPLv2
Version: %{rpmversion}
Release: %{release}
#ExclusiveArch: i386 i586
ExclusiveOS: Linux
Provides: babylon = %{version}
Requires: babylon-kernel
#Provides: babylon-kernel = %{kernelver}

#
# List the packages used during the kernel build
#
BuildPreReq: module-init-tools, patch >= 2.5.4, bash >= 2.03, sh-utils, tar
BuildPreReq: bzip2, findutils, gzip, m4, perl, make >= 3.78, diffutils
BuildPreReq: kernel-devel = %{kernelver}
BuildRequires: gcc >= 3.4.2, binutils >= 2.12, redhat-rpm-config


Source0: http://www.kvack.org/~bcrl/babylon/babylon-%{rpmversion}.tar.bz2

#Patch1: patch-2.6.18.4.bz2
Patch1: babylon-vercomp.patch

	

BuildRoot: %{_tmppath}/babylon-%{rpmversion}-root

%description
The Babylon package contains the high performance Babylon L2TP/PPPoE stack 
for Linux.  L2TP and PPPoE are used for terminating PPP connections in BRAS 
scenarios.

%package kernel-%{kernelver}
Summary: kernel modules for the Babylon PPPoE/L2TP package
Group: System Environment/Kernel
Requires: kernel = %{kernelver}
Provides: babylon-kernel


%description kernel-%{kernelver}
The babylon-kernel package provides the kernel modules for use with the 
high performance Babylon L2TP/PPPoE stack.

%prep
%setup
%patch1 -p1

%build

./configure --with-l2tp --with-pppoe
make

%install
make -C /lib/modules/%{kernelver}/build SUBDIRS=`pwd`/kernel INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install

mkdir -p $RPM_BUILD_ROOT/etc/babylon
touch $RPM_BUILD_ROOT/etc/babylon/l2tp.conf.sample
cp conf/babylon.conf $RPM_BUILD_ROOT/etc/babylon/babylon.conf.sample

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 src/babylond $RPM_BUILD_ROOT/usr/sbin/
install -m 755 tools/bdial $RPM_BUILD_ROOT/usr/sbin/
install -m 755 drivers/pppoe/pppoed $RPM_BUILD_ROOT/usr/sbin/

for i in bquery bpppoe bping bradius bhangup l2tpctl
 do
	ln -sf bdial $RPM_BUILD_ROOT/usr/sbin/$i
 done


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -ae

%files
#%defattr(-,root,root)
#/%{image_install_path}/vmlinuz-%{KVERREL}
#%dir /lib/modules/%{KVERREL}
#/lib/modules/%{KVERREL}/kernel
/etc/babylon/babylon.conf.sample
/etc/babylon/l2tp.conf.sample
/usr/sbin/

%files kernel-%{kernelver}
/lib/modules/%{kernelver}/extra/

%changelog
* Sat Feb 16 2008 Benjamin LaHaise <bcrl@kvack.org>
- initial v2.0beta2 build

